pico(1)

Nom
pico — Éditeur de texte simple dans le style de l’éditeur d’alpine(1)

Syntaxe
pico [ options ] [ fichier ]

Description
pico est un éditeur de texte simple, orienté écran, basé sur l’éditeur du client de messagerie alpine(1). Comme dans ce dernier, les commandes s’affichent au bas de l’écran et une aide sensible au contexte est fournie. Les caractères sont insérés dans le texte au moment de leur frappe.

Les commandes d’édition sont entrées en utilisant des combinaisons de touches de contrôle. Pour contourner les programmes de communication qui interceptent certains caractères de contrôle, il est possible d’invoquer une touche de contrôle en tapant la touche d’échappement « ESC » deux fois, puis le caractère de contrôle souhaité ; par exemple, « ESC ESC c » est équivalent à entrer « Ctrl-c ». L’éditeur possède cinq fonctionnalités de base : la justification de paragraphe, la recherche, le couper/coller de bloc, un vérificateur orthographique et un navigateur de fichiers.

La justification (ou remplissage) de paragraphe affecte le paragraphe dans lequel se trouve le curseur, ou le paragraphe suivant si le curseur est entre deux paragraphes. Les paragraphes sont délimités par des lignes vides, ou par des lignes commençant par une espace ou une tabulation. La justification peut être annulée juste après sa mise en œuvre en utilisant la combinaison de touches « Ctrl-U ».

La recherche de chaîne est insensible à la casse. Elle débute à la position actuelle du curseur et recommence au début du texte lorsqu’elle a atteint la fin de ce dernier. La chaîne recherchée la plus récente est présentée comme chaîne par défaut pour les recherches subséquentes.

Il est possible de déplacer, copier ou supprimer des blocs de texte en utilisant de manière originale les commandes de marquage (« Ctrl-^ »), de suppression (« Ctrl-k ») et d’annulation de suppression (« Ctrl-u »). La commande de suppression efface le bloc de texte situé entre la « marque » et la position actuelle du curseur, et le place dans le tampon de « coupe ». La commande d’annulation de suppression effectue un « collage » à la position actuelle du curseur.

Le vérificateur d’orthographe examine chacun des mots du texte. Chaque mot mal orthographié est surligné dans le texte et se voit proposer une correction. La vérification d’orthographe peut être désactivée à tout moment. pico peut aussi utiliser la variable d’environnement SPELL pour définir une routine de vérification d’orthographe de remplacement à la place de la routine par défaut. La routine de remplacement doit pouvoir lire sur l’entrée standard et écrire sur la sortie standard.

Le navigateur de fichiers est proposé en tant qu’option dans les invites de commande « Read File » et « Write Out ». Il a pour but de faciliter la recherche de fichiers spécifiques et le parcours de la hiérarchie des répertoires. Les fichiers (avec leur taille) et les dossiers du répertoire de travail actuel sont affichés à des fins de sélection. Le répertoire de travail actuel est affiché sur la première ligne de l’écran, et la liste des commandes disponibles occupe les deux dernières lignes. Les fonctions de manipulation de fichier basiques prises en charge sont les suivantes : renommage, copie et suppression de fichier.

Pour plus de détails, consulter l’aide intégrée de pico.

Options

+n  Avec cette option, pico démarrera avec le curseur à la ligne n du fichier. Nota : il n’y a pas d’espace entre le signe « + » et le numéro de ligne.

-a  Affichage de tous les fichiers, y compris ceux débutant par un point (.).

-b  Utiliser cette option pour remplacer les correspondances de texte trouvées à l’aide de la commande « Where is ». Cette option n’a actuellement aucun effet. Elle est cependant toujours activée, comme si le commutateur -b avait été spécifié.

-d  Réaffectez la touche « Suppression » de sorte que le caractère sur lequel se trouve le curseur soit effacé plutôt que le caractère à sa gauche.

-e  Activer la complétion de nom de fichier.

-f  Utilisation des touches de fonction pour les commandes. Cette option n’est prise en charge qu’avec « UW Enhanced NCSA telnet ».

-h  Afficher la liste des options de ligne de commande valables.

-j  Activer la commande « Goto » dans le navigateur de fichiers. Cette commande permet d’indiquer explicitement à pico le répertoire à visiter.

-g  Activer le mode « Afficher curseur » dans le navigateur de fichiers. Avec cette option, le curseur est positionné avant la sélection actuelle et non pas en bas à gauche de l’écran.

-k  Avec cette option, la commande « Cut Text » va supprimer les caractères depuis la position du curseur jusqu’à la fin de la ligne au lieu de supprimer la ligne entière.

-m  Activer la prise en charge de la souris. Cette option ne fonctionne que si pico est exécuté depuis une fenêtre xterm du système de fenêtrage X.

-nn Cette option active la notification de nouveau courriel. L’argument n (facultatif) permet de spécifier la périodicité de recherche de nouveaux courriels dans la boîte aux lettres. Par exemple, avec « -n60 », pico recherche les nouveaux courriels toutes les minutes. La valeur par défaut est 180 secondes, avec une valeur minimale de 30. Nota : il n’y a pas d’espace entre -n et le nombre de secondes.

-o répertoire
    Définir le répertoire de travail. Seuls les fichiers de ce répertoire seront accessibles. De même, le navigateur de fichiers ne pourra explorer que l’arborescence du répertoire spécifié.

-rn Spécifier la colonne utilisée pour définir la marge de droite minimale de la commande « Justify ».

-s correcteur
    Spécifier un autre programme correcteur à utiliser pour la vérification orthographique.

-t  Activer le mode « outil ». Cette option est à spécifier lorsque pico est utilisé comme éditeur au sein d’autres outils comme elm(1) ou pnews(1). pico ne proposera alors pas de sauvegarde lorsqu’il quittera et ne renommera pas le tampon lors de la commande « Write Out ».

-v  Ouvrir le fichier en lecture seule.

-version
    Afficher la version de pico et quitter.

-w  Désactiver le retour à la ligne automatique (permettant par là même l’édition des lignes de grande longueur).

-x  Désactivation du menu de touches au bas de l’écran.

-z  Activer la suspension de pico par ^Z.

-p  Conserver les caractères « start » et « stop », en général « Ctrl-Q » et « Ctrl-S », qui sont parfois utilisés dans les chemins de communication pour contrôler le flux de données entre des dispositifs qui fonctionnent à des vitesses différentes.

-Q marqueur_citation
    Définir le marqueur de citation. Cette option s’avère utile lors de la composition de courriel où elle permet de vérifier la présence d’un marqueur de citation lors de la justification d’un paragraphe. « > » est un marqueur de citation courant.

-W séparateurs_de_mot
    Avec cette option, si des caractères parmi ceux listés ici apparaissent au milieu d’un mot entouré de caractères alphanumériques, ce mot sera divisé en deux mots distincts. Elle est utilisée par les commandes pour se déplacer d'un mot à l'autre (avant et arrière) et par le correcteur orthographique.

-q  Préférer les séquences d’échappement en entrée définies par termcap(5) ou terminfo(5) à celles définies par défaut. Cette option n’est valable que si pico a été compilé avec TERMCAP_WINS définie.

-setlocale_ctype
    Exécution de « setlocale(LC_CTYPE) » si disponible. Par défaut, cette exécution n’est pas réalisée.

-no_setlocale_collate
    Non exécution de « setlocale(LC_COLLATE) ». Par défaut, cette exécution est réalisée.

Enfin, lorsqu’une instance de pico est déconnectée (c’est-à-dire reçoit un signal SIGHUP), pico sauvegarde si nécessaire le travail en cours avant de quitter. Le travail en cours est sauvegardé sous le nom du fichier actuel suffixé de « .save ». Si le travail en cours n’a pas encore été nommé, il est sauvegardé dans un fichier nommé « pico.save ».

Prise en charge des couleurs
Si votre terminal prend en charge les couleurs, pico peut être configuré pour colorer le texte. L’utilisateur peut configurer la couleur du texte, des items du menu, de la barre de titre, des messages et de l’invite dans la barre d’état. pico peut aussi configurer la couleur de trois niveaux différents de texte de citation, et celle de la signature d’un courriel. Cela s’avère utile lorsque pico est utilisé en tant qu’outil (avec le commutateur de ligne de commande -t).

Pour obtenir le nombre de couleurs que votre terminal prend en charge, démarrez pico avec le commutateur -color_codes. En plus, pico affichera un tableau montrant le code numérique de chaque couleur prise en charge par le terminal. Ces codes numériques doivent être utilisés pour configurer les couleurs. Par exemple, le code 0 correspond au noir ; pour configurer la couleur noire, il faut donc utiliser le code 0.

Pour activer les couleurs, il faut utiliser l’option -ncolors avec une valeur numérique indiquant le nombre de couleurs que votre terminal prend en charge. Par exemple, -ncolors 256 indique que l’utilisateur souhaite utiliser une table de 256 couleurs.

Toutes les options qui contrôlent les couleurs se composent de quatre lettres. Les deux dernières sont « fc » ou « bc », indiquant respectivement les couleurs d’avant-plan et d’arrière-plan. Les deux premières lettres indiquent le type du texte dont on veut configurer la couleur. Par exemple, « nt » fait référence au texte normal, si bien que « ntfc » fait référence à la couleur du texte normal, alors que « ntbc » fait référence à la couleur d’arrière-plan du texte normal. Voici la liste complète des options de couleur prises en charge par pico :

-color_code
    afficher le nombre de couleurs pris en charge par votre terminal et un tableau montrant les correspondances entre code numérique et couleur

-ncolors nombre_couleurs
    activer la prise en charge des couleurs dans pico et indiquer à ce dernier le nombre de couleurs à utiliser. En fonction de votre terminal, nombre_couleurs peut être égal à 8, 16 ou 256

-ntfc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte normal

-ntbc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan du texte normal

-rtfc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte en vidéo inverse. Par défaut, il s’agit de la couleur d’arrière-plan du texte normal (si spécifiée)

-rtbc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan du texte en vidéo inverse. Par défaut, il s’agit de la couleur du texte normal (si spécifiée)

-tbfc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte de la barre de titre. Par défaut, il s’agit de la couleur du texte en vidéo inverse

-tbbc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan de la barre de titre

-klfc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte de l’étiquette de la touche

-klbc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan de l’étiquette de la touche

-knfc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte du nom de la touche

-knbc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan du nom de la touche

-stfc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte de la barre d’état

-stbc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan de la barre d’état

-prfc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte d’une invite

-prbc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan d’une invite

-q1fc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte d’une citation de niveau 1

-q1bc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan du texte d’une citation de niveau 1. Si l’option -q1bc est utilisée, la valeur par défaut de cette option sera la couleur d’arrière-plan du texte normal

-q2fc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte d’une citation de niveau 2

-q2bc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan du texte d’une citation de niveau 2. Si l’option -q2bc est utilisée, la valeur par défaut de cette option sera la couleur d’arrière-plan du texte normal

-q3fc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte d’une citation de niveau 3

-sbfc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour le texte d’un bloc de signature

-sbbc code_numérique
    spécifier le code_numérique de la couleur à utiliser pour l’arrière-plan du texte d’un bloc de signature

Bogues
La manière dont les lignes plus longues que la largeur de l’écran sont traitées n’est pas clairement visible. Les lignes qui continuent au delà du bord de l’écran sont indiquées en ajoutant un caractère « $ » à la fin de la ligne. Les longues lignes défilent horizontalement en suivant le déplacement du curseur.

FICHIERS
pico.save	Un travail interrompu non nommé est sauvegardé ici.
*.save	Un travail interrompu sur un fichier nommé est sauvegardé ici.

Auteurs
Michael Seibel <mikes@cac.washington.edu>
Laurence Lundblade <lgl@cac.washington.edu>
Pico dérive initialement de MicroEmacs 3.6 par Dave G. Conroy.
Copyright 1989-2008 par l’Université de Washington.

Voir aussi
alpine(1)
La distribution du source (partie du « Alpine Message System »).

$Date: 02 février 2009 13:54:23 -0600 (Lun 02 février 2009) $

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.